| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Slots | Signals | Public Member Functions | Protected Member Functions | List of all members
Digikam::MediaPlayerView Class Reference
Inheritance diagram for Digikam::MediaPlayerView:

## Public Slots
void | slotEscapePressed ()
void | slotRotateVideoLeft ()
void | slotRotateVideoRight ()

## Signals
void | signalEscapePreview ()
void | signalNextItem ()
void | signalPrevItem ()

## Public Member Functions
| MediaPlayerView (QWidget *const parent)
QList< QAction * > | actionsList () const
void | escapePreview ()
void | reload ()
void | setCurrentItem (const QUrl &url=QUrl(), bool hasPrevious=false, bool hasNext=false)
void | setInfoInterface (DInfoInterface *const iface)
void | setOsdWidget (QWidget *const osd)
| plug an On Screen Display widget over the player.
void | setToolbarExtraWidget (QWidget *const extra)
| plug an extra widget at end of the toolbar.
void | setToolbarVisible (bool b)
| turn off/on toolbar visibility.

## Protected Member Functions
bool | eventFilter (QObject *watched, QEvent *event) override

## Member Function Documentation

## ◆ actionsList()

QList< QAction * > Digikam::MediaPlayerView::actionsList | ( |  | ) | const

Returns
  the list of action available in the toolbar.